# Create workflow

Creates a workflow.

```http
POST https://api.pozy.ai/v1/workflows
```

- Area: Automations / Workflows
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `profileId`, string, required
- `accountId`, string, required
- `platform`, string: One of `whatsapp`, `instagram`, `facebook`, `telegram`, `twitter`, `bluesky`, `reddit`, `tiktok`. Default `whatsapp`
- `name`, string, required
- `description`, string
- `nodes`, array of object
  - `id`, string, required
  - `type`, string, required: One of `trigger`, `send_message`, `wait_for_reply`, `condition`, `set_variable`, `delay`, `webhook`, `hubspot_upsert_contact`, `ai`, `handoff`, `start_call`, `a_b_split`, `set_field`, `enroll_sequence`, `add_tag`, `remove_tag`, `end`
  - `config`, object
  - `position`, object
    - `x`, number
    - `y`, number
  - `label`, string: 1 to 80 characters
- `edges`, array of object
  - `id`, string, required
  - `source`, string, required
  - `target`, string, required
  - `sourceHandle`, string: Can be null
- `entryNodeId`, string

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/workflows" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "profileId": "6a0b6573846efc28aaa9a3ff",
  "accountId": "696e0b682d0a31188e7a2ba9",
  "name": "Acme"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/workflows", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    profileId: "6a0b6573846efc28aaa9a3ff",
    accountId: "696e0b682d0a31188e7a2ba9",
    name: "Acme"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/workflows",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "profileId": "6a0b6573846efc28aaa9a3ff",
        "accountId": "696e0b682d0a31188e7a2ba9",
        "name": "Acme",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `workflow`, object
  - `id`, string
  - `name`, string
  - `description`, string
  - `platform`, string
  - `status`, string
  - `nodeCount`, integer
  - `entryNodeId`, string
  - `createdAt`, string (date-time)

```json
{
  "success": true,
  "workflow": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "description": "A short description",
    "platform": "instagram",
    "status": "active",
    "nodeCount": 42,
    "entryNodeId": "6cb80338d0fb8bf8544ff5a4",
    "createdAt": "2026-10-02T09:00:00.000Z"
  }
}
```
